# Generated by Django 2.2.10 on 2020-02-11 17:32

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ScheduleGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Gruppe',
                'verbose_name_plural': 'Gruppen',
            },
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('active', models.BooleanField(default=True, verbose_name='Aktiv?')),
                ('override_day', models.BooleanField(default=False, verbose_name='Tag überschreiben?')),
                ('name', models.CharField(max_length=100, verbose_name='Aufgabe')),
                ('start_date', models.DateField(default=django.utils.timezone.now, help_text='(inklusive)', verbose_name='Erstes Ausführungsdatum')),
                ('last_date', models.DateField(blank=True, help_text='(inklusive)', null=True, verbose_name='Letztes Ausführungsdatum')),
                ('start_time', models.TimeField(default='00:00:00', help_text='(inklusive)', verbose_name='Erste Ausführung:')),
                ('last_time', models.TimeField(default='00:00:00', help_text='(inclusive)', verbose_name='Letzte Ausführung Urzeit:')),
                ('repeat_duration', models.DurationField(default='00:00:00', help_text='(00:00:00 = keine Wiederholung)', verbose_name='Wiederholung nach Dauer')),
                ('d_0', models.BooleanField(default=False, verbose_name='Montag')),
                ('d_1', models.BooleanField(default=False, verbose_name='Dienstag')),
                ('d_2', models.BooleanField(default=False, verbose_name='Mittwoch')),
                ('d_3', models.BooleanField(default=False, verbose_name='Donnerstag')),
                ('d_4', models.BooleanField(default=False, verbose_name='Freitag')),
                ('d_5', models.BooleanField(default=False, verbose_name='Samstag')),
                ('d_6', models.BooleanField(default=False, verbose_name='Sonntag')),
                ('ref_schedule_group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='django_pmedien_schedule.ScheduleGroup', verbose_name='Aufgabengruppe')),
            ],
            options={
                'verbose_name': 'Aufgabe',
                'verbose_name_plural': 'Aufgaben',
                'ordering': ('-active', '-override_day', 'start_date', 'start_time'),
            },
        ),
    ]
